// this many circles are drawn
int numberOfCircles = 20;

// array holding circle color (grayscale)
int col[] = new int[numberOfCircles];

void setup() { 
  // windows size  
  size(400,400); 
  // take care! for an arrauy of N elements
  // the first element has index 0 and
  // the last element has index N-1 

  // for all elements in the array do:
  for (int i = 0; i < numberOfCircles; i++)
    // initialize circle color with random 
    // int  value between 0 and 255
    col[i] = int(random(255));
}

// draw all circles
void draw()  {
  // for all elements in the array do:
  for (int i=0; i<numberOfCircles; i++) {
    // set fill color
    fill(col[i]);
    // draw circle
    ellipse(50+i*15, 50+i*15,50,50);
  }
}

// perform one sweep of sorting when the mouse is pressed
void mousePressed() {
  // for all elements in the array do:
  for (int i=0; i<numberOfCircles-1; i++) {
    // if color of 
    // element i is bigger than 
    // the color of element i+1
    if (col[i] > col[i+1]) {
      // swap elements 
      int s = col[i+1];
      col[i+1] = col[i];
      col[i] = s;
    }
  }
}


