// this many circles are drawn
int numberOfCircles = 20;

// array holding circle color (grayscale)
int col[] = new int[numberOfCircles];

void setup() { 
  // windows size  
  size(400,400); 
  // initialize circle colors
  for (int i = 0; i < numberOfCircles; i++)
    col[i] = int(random(255));
}

// swaps circles i and i+1
void swapCircle(int i) {
  int s;
  s = col[i+1];
  col[i+1] = col[i];
  col[i] = s;
}

// draw all circles
void draw()  {
  for (int i=0; i<numberOfCircles; i++) {
    fill(col[i]);
    ellipse(50+i*15, 50+i*15,50,50);
  }
}

// perform one sweep of sorting
void mousePressed() {
  for (int i=0; i<numberOfCircles-1; i++) {
    if (col[i] > col[i+1]) swapCircle(i);
  }
}

